/*******************************************************************************
TransAll dll is a plugin for Avisynth and provides a number of Scene Transitions.
The input for these are trimmed clips (end of first or Left Clip and begining of 
Second or Right Clip. Both clips should be of equal length and the transition 
occurs over this length. The clips shpuld have identical color space, width, height
pitch. The output will be one clip of same length as input. This need to be spliced
with the remaining parts of the Left Clip (begining to the trim start) and the 
Right Clip leftoff part after trim.
********************************************************************************/
#include "windows.h"
#include "avisynth.h"
#include "math.h"
/******************************************************************************/
#include "FastDiscoRotate.cpp"
#include "Linez.cpp"
#include "FastDisco.cpp"
#include "FastORing.cpp"
#include "FastResizer.cpp"
#include "MixAudio.cpp"




/********************************************************************************/
// Transition Source Files :-
#include	"TransAccord.cpp"
#include	"TransCentral.cpp"
#include	"TransCrumple.cpp"
#include	"TransFlipTurn.cpp"
#include	"TransFlipPage.cpp"	
#include	"TransFunnel.cpp"
#include	"TransMarbles.cpp"
#include	"TransPaint.cpp"
#include	"TransPeel.cpp"
#include	"TransRipple.cpp"
#include	"TransSwirl.cpp"
#include	"TransScratch.cpp"
#include	"TransShuffle.cpp"
#include	"TransSlantWipe.cpp"
#include	"TransSlideIn.cpp"
#include	"TransSlideOut.cpp"
#include	"TransSwing.cpp"
#include	"TransTwinDoors.cpp"
#include	"TransVenetianBlinds.cpp"
#include	"TransWeave.cpp"
#include	"TransWipe.cpp"
#include	"TransSlantRollIn.cpp"
#include	"TransSlantRollOut.cpp"
#include	"TransDoor.cpp"
#include	"TransSprite.cpp"
#include	"TransDisco.cpp"
#include	"TransBubbles.cpp"
#include	"TransPush.cpp"
//#include	"TransSide.cpp"	// this is in experimental stage
/*

#include
#include
#include
#include
#include
#include
#include
#include
#include
#include
#include
#include
#include
#include
#include

*/



// The following functions are the functions that actually registers the filter in AviSynth
// It is called automatically, when the plugin is loaded to see which functions this filter contains.

/***************************************************************************/
// AddFunction Calls
extern "C" __declspec(dllexport) const char* __stdcall AvisynthPluginInit2(IScriptEnvironment* env)
{
	env->AddFunction("TransAccord", "cci[dir]s[twin]b[open]b", Create_TransAccord, 0);
	env->AddFunction("TransCentral", "cci[emerge]b[resize]b[nturns]i", Create_TransCentral, 0);	
	env->AddFunction("TransCrumple", "cci[type]s[fold]b", Create_TransCrumple, 0);
	env->AddFunction("TransFlipTurn", "cci[vflip]i[hflip]i[nturns]i", Create_TransFlipTurn, 0);
	env->AddFunction("TransDisco", "cci[radius]i[nturns]i[emerge]b", Create_TransDisco, 0);
	env->AddFunction("TransFlipPage", "cci[dir]s", Create_TransFlipPage, 0);
	env->AddFunction("TransFunnel", "cci[dir]s", Create_TransFunnel, 0);
	env->AddFunction("TransMarbles", "cci[radius]i[mag]i[drop]b", Create_TransMarbles, 0);
	env->AddFunction("TransPaint", "cci[type]s", Create_TransPaint, 0);
	env->AddFunction("TransPeel", "cci[dir]s[rollDia]i[shade]i[pull]b", Create_TransPeel, 0);
	env->AddFunction("TransRipple", "cci[lambda]i[amp]i", Create_TransRipple, 0);
	env->AddFunction("TransSwirl", "cci[dir]s[step]i", Create_TransSwirl, 0);			
	env->AddFunction("TransScratch", "cci[style]s", Create_TransScratch, 0);
	env->AddFunction("TransShuffle", "cci[dir]s", Create_TransShuffle, 0);
	env->AddFunction("TransSlantWipe", "cci[dir]s", Create_TransSlantWipe, 0);
	env->AddFunction("TransSlideIn", "cci[dir]s", Create_TransSlideIn, 0);
	env->AddFunction("TransSlideOut", "cci[dir]s", Create_TransSlideOut, 0);
	env->AddFunction("TransSwing", "cci[out]b[ndoors]i[corner]i", Create_TransSwing, 0);
	env->AddFunction("TransTwinDoors", "cci[vert]b[open]b", Create_TransTwinDoors, 0);
	env->AddFunction("TransVenetianBlinds", "cci[width]i[type]s", Create_TransVenetianBlinds, 0);
	env->AddFunction("TransWeave", "cci[type]s", Create_TransWeave, 0);
	env->AddFunction("TransWipe", "cci[dir]s", Create_TransWipe, 0);
	env->AddFunction("TransSlantRollIn", "cci[dir]s[rollDia]i[shade]i", Create_TransSlantRollIn, 0);
	env->AddFunction("TransSlantRollOut", "cci[dir]s[rollDia]i[shade]i", Create_TransSlantRollOut, 0);
	env->AddFunction("TransDoor", "cci[vert]b[open]b", Create_TransDoor, 0);
	env->AddFunction("TransSprite", "cci[dir]s", Create_TransSprite, 0);
	env->AddFunction("TransBubbles", "cci[static]b", Create_TransBubbles, 0);
	env->AddFunction("TransPush", "cci[dir]s", Create_TransPush, 0);
//	env->AddFunction("TransSide", "ccis[dir]s", Create_TransSide, 0);

	
	
	return "TransAll Transition  Plugin";
}
