/**************************************************************************
FastDisco copies a circular window from source frame to destination frame.
frame pointers, the x,y coordinates of the center of disc in each of
the frames the radius, frame heights and frame widths, pitch sizes and 
 magnification(mag increase from 1 at edge to mag at center, drop magnification
 (for RGB32 only mag increases from 1 at edge to mag at center if mag is positive, else decreases to 1 from mag
 proprtional to dist from center). Mag if between -1 & 1 is treated as unity
 ringt is thickness if ring. default full disc process. ringt must limited to radius
***************************************************************************/
//Function definitions
#ifndef FastDisco_h_V_C_MOHAN
#define FastDisco_h_V_C_MOHAN
FastDiscoRGB32(const unsigned char* srcp,  unsigned char* dstp, int radius, int srcx, int srcy, int srch, int srcw,
		int dstx, int dsty, int dsth, int dstw, int spitch, int dpitch, double mag=1, bool drop=true, int ringt=0);
FastDiscoRGB24(const unsigned char* srcp,  unsigned char* dstp, int radius, int srcx, int srcy, int srch, int srcw,
		int dstx, int dsty, int dsth, int dstw, int spitch, int dpitch, double mag=1, bool drop=true, int ringt=0);
FastDiscoYUY2(const unsigned char* srcp,  unsigned char* dstp, int radius, int srcx, int srcy, int srch, int srcw,
		int dstx, int dsty, int dsth, int dstw, int spitch, int dpitch, double mag=1, bool drop=true, int ringt=0);
FastDiscoYV12(const unsigned char* srcp,  unsigned char* dstp, int radius, int srcx, int srcy, int srch, int srcw,
		int dstx, int dsty, int dsth, int dstw, int spitch, int dpitch, double mag, bool drop=true, int ringt=0);

#endif