/**************************************************************************
FastORing copies a circular window from source frame to destination frame.
frame pointers, the x,y coordinates of the center of disc in each of
the frames the Outer radius,thickness, frame heights and frame widths, pitch sizes

 FastORingRotate copies a circular ring from source frame to destination frame
after rotating anticlockwise through an angle degree.
frame pointers, the x,y coordinates of the center of disc in each of
the frames the outer radius,thickness frame heights and frame widths, pitch sizes and 
the degree
***************************************************************************/
//Function definitions
#ifndef FastORing_H_V_C_MOHAN
#define FastORing_H_V_C_MOHAN
FastORingRGB32(const unsigned char* srcp,  unsigned char* dstp, int radius,int thick, int srcx, int srcy, int srch, int srcw,
		int dstx, int dsty, int dsth, int dstw, int spitch, int dpitch);
FastORingRGB24(const unsigned char* srcp,  unsigned char* dstp, int radius,int thick, int srcx, int srcy, int srch, int srcw,
		int dstx, int dsty, int dsth, int dstw, int spitch, int dpitch);
FastORingYUY2(const unsigned char* srcp,  unsigned char* dstp, int radius,int thick, int srcx, int srcy, int srch, int srcw,
		int dstx, int dsty, int dsth, int dstw, int spitch, int dpitch);
FastORingYV12(const unsigned char* srcp,  unsigned char* dstp, int radius,int thick, int srcx, int srcy, int srch, int srcw,
		int dstx, int dsty, int dsth, int dstw, int spitch, int dpitch);
bool FastORingRotateRGB32(const unsigned char *srcp,unsigned char*dstp,
					  int radius,int thick, int srcx,int srcy,int srch,int srcw,
					  int dstx,int dsty,int dsth,int dstw,int spitch, int dpitch,int degree);
bool FastORingRotateRGB24(const unsigned char *srcp,unsigned char*dstp,
					  int radius,int thick,int srcx,int srcy,int srch,int srcw,
					  int dstx,int dsty,int dsth,int dstw,int spitch, int dpitch,int degree);

bool FastORingRotateYUY2(const unsigned char *srcp,unsigned char*dstp,
					  int radius,int thick, int srcx,int srcy,int srch,int srcw,
					  int dstx,int dsty,int dsth,int dstw,int spitch, int dpitch,int degree);
bool FastORingRotateYV12(const unsigned char *srcp,unsigned char*dstp,
					  int radius,int thick, int srcx,int srcy,int srch,int srcw,
					  int dstx,int dsty,int dsth,int dstw,int spitch, int dpitch,int degree);

#endif